From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: eclass/
Date: Sun, 17 Sep 2017 00:51:58 +0000 (UTC) [thread overview]
Message-ID: <1505608779.e7a58393c16d853a165ec56d2637d4c1649ff033.kentnl@gentoo> (raw)
commit: e7a58393c16d853a165ec56d2637d4c1649ff033
Author: Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 16 21:59:56 2017 +0000
Commit: Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sun Sep 17 00:39:39 2017 +0000
URL: https://gitweb.gentoo.org/proj/perl-overlay.git/commit/?id=e7a58393
perl-functions.eclass: Update check_module_version for EAPI6
eclass/perl-functions.eclass | 22 +++++++++++++++++++++-
1 file changed, 21 insertions(+), 1 deletion(-)
diff --git a/eclass/perl-functions.eclass b/eclass/perl-functions.eclass
index e37cf1e53..da444735b 100644
--- a/eclass/perl-functions.eclass
+++ b/eclass/perl-functions.eclass
@@ -57,7 +57,7 @@ perl_diagnostics() {
eerror
}
-perl_check_module_version() {
+_perl_check_module_version_eapi5() {
local REAL_PV
local gpmv="$(type -p gentoo-perlmod-version.pl)"
[[ -n ${MODULE_VERSION} && -n ${gpmv} && -x ${gpmv} ]] || return
@@ -69,6 +69,26 @@ perl_check_module_version() {
fi
}
+_perl_check_module_version_eapi6() {
+ local REAL_PV
+ local gpmv="$(type -p gentoo-perlmod-version.pl)"
+ [[ -n ${DIST_VERSION} && -n ${gpmv} && -x ${gpmv} ]] || return
+ REAL_PV=$( ${gpmv} --oneshot "${DIST_VERSION}" )
+ if [[ -n ${REAL_PV} && ${REAL_PV} != ${PV} ]] ; then
+ eqawarn "QA Notice: Based on DIST_VERSION=${DIST_VERSION} the ebuild version ${PV} is wrong!"
+ eqawarn " The ebuild version should be ${REAL_PV}"
+ perl_qafatal "version" "${REAL_PV} != ${PV}"
+ fi
+}
+
+perl_check_module_version() {
+ debug-print-function $FUNCNAME "$@"
+ if [[ ${EAPI:-0} == 5 ]]; then
+ _perl_check_module_version_eapi5
+ return
+ fi
+ _perl_check_module_version_eapi6
+}
perlinfo_done=false
# @FUNCTION: perl_set_version
next reply other threads:[~2017-09-17 0:52 UTC|newest]
Thread overview: 59+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-17 0:51 Kent Fredric [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-09-17 0:51 [gentoo-commits] proj/perl-overlay:master commit in: eclass/ Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2017-09-17 0:51 Kent Fredric
2015-06-25 1:26 Kent Fredric
2015-06-21 0:39 Kent Fredric
2015-06-21 0:39 Kent Fredric
2015-06-20 22:13 Kent Fredric
2015-06-20 22:13 Kent Fredric
2015-06-20 22:13 Kent Fredric
2015-06-20 22:13 Kent Fredric
2015-03-26 12:14 Kent Fredric
2015-03-15 17:06 Kent Fredric
2015-03-15 5:10 Kent Fredric
2015-03-15 5:10 Kent Fredric
2014-12-23 18:19 Kent Fredric
2014-12-23 18:19 Kent Fredric
2014-12-23 14:43 Kent Fredric
2014-10-11 18:46 Kent Fredric
2014-10-11 18:46 Kent Fredric
2014-10-11 18:46 Kent Fredric
2014-08-26 19:06 Kent Fredric
2014-08-24 13:56 Kent Fredric
2014-08-20 13:24 Kent Fredric
2014-04-04 23:09 Kent Fredric
2013-09-17 4:35 Kent Fredric
2013-09-17 4:28 Kent Fredric
2013-04-28 16:53 Kent Fredric
2012-09-15 16:58 Torsten Veller
2012-06-07 6:06 Torsten Veller
2012-06-05 18:22 Torsten Veller
2012-06-05 18:22 Torsten Veller
2012-04-23 13:04 Torsten Veller
2012-04-23 13:04 Torsten Veller
2012-04-23 13:04 Torsten Veller
2011-08-16 17:02 Torsten Veller
2011-04-24 8:37 Torsten Veller
2011-02-04 8:15 tove
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1505608779.e7a58393c16d853a165ec56d2637d4c1649ff033.kentnl@gentoo \
--to=kentnl@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox